########################################
#  This file was generated by hdlmake  #
#  http://ohwr.org/projects/hdl-make/  #
########################################

PROJECT := conv_ttl_rs485.xise
ISE_CRAP := *.b conv_ttl_rs485_summary.html *.tcl conv_ttl_rs485.bld conv_ttl_rs485.cmd_log *.drc conv_ttl_rs485.lso *.ncd conv_ttl_rs485.ngc conv_ttl_rs485.ngd conv_ttl_rs485.ngr conv_ttl_rs485.pad conv_ttl_rs485.par conv_ttl_rs485.pcf conv_ttl_rs485.prj conv_ttl_rs485.ptwx conv_ttl_rs485.stx conv_ttl_rs485.syr conv_ttl_rs485.twr conv_ttl_rs485.twx conv_ttl_rs485.gise conv_ttl_rs485.unroutes conv_ttl_rs485.ut conv_ttl_rs485.xpi conv_ttl_rs485.xst conv_ttl_rs485_bitgen.xwbt conv_ttl_rs485_envsettings.html conv_ttl_rs485_guide.ncd conv_ttl_rs485_map.map conv_ttl_rs485_map.mrp conv_ttl_rs485_map.ncd conv_ttl_rs485_map.ngm conv_ttl_rs485_map.xrpt conv_ttl_rs485_ngdbuild.xrpt conv_ttl_rs485_pad.csv conv_ttl_rs485_pad.txt conv_ttl_rs485_par.xrpt conv_ttl_rs485_summary.xml conv_ttl_rs485_usage.xml conv_ttl_rs485_xst.xrpt usage_statistics_webtalk.html webtalk.log webtalk_pn.xml run.tcl

#target for performing local synthesis
local:
		echo "project open $(PROJECT)" > run.tcl
		echo "process run {Generate Programming File} -force rerun_all" >> run.tcl
		xtclsh run.tcl


#target for cleaing all intermediate stuff
clean:
		rm -f $(ISE_CRAP)
		rm -rf xst xlnx_auto_*_xdb iseconfig _xmsgs _ngo
    
#target for cleaning final files
mrproper:
		rm -f *.bit *.bin *.mcs

